import { EditOutlined } from '@ant-design/icons';
import { EducationDTO } from '../../../types/education';
import { i18nText } from '../../../i18nKeys';
import { LinkButton } from '../../view/LinkButton';

type ExpertEducationProps = {
    locale: string;
    data?: EducationDTO;
};

export const ExpertEducation = ({ locale, data }: ExpertEducationProps) => {
    return (
        <div className="coaching-section__wrap">
            <div className="coaching-section">
                <div className="coaching-section__title">
                    <h2 className="title-h2">{i18nText('education', locale)}</h2>
                    <h2 className="title-h2">person2</h2>
                    <LinkButton
                        type="link"
                        icon={<EditOutlined />}
                    />
                </div>
                <div className="coaching-section__desc">
                    <h3 className="title-h3">Psychologist</h3>
                    <div className="base-text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam aliquet, lectus nec viverra
                        malesuada, ligula sem tempor risus, non posuere urna diam a libero.
                    </div>
                    <div className="sertific">
                        <img src="/images/sertific.png" className="" alt="" />
                    </div>
                </div>
            </div>
            <div className="coaching-section">
                <h2 className="title-h2">{i18nText('profCertification', locale)}</h2>
                <div className="coaching-section__desc">
                    <div className="base-text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam aliquet, lectus nec viverra
                        malesuada, ligula sem tempor risus, non posuere urna diam a libero.
                    </div>
                </div>
            </div>
            <div className="coaching-section">
                <h2 className="title-h2">
                    {`${i18nText('trainings', locale)} | ${i18nText('seminars', locale)} | ${i18nText('courses', locale)}`}
                </h2>
                <div className="coaching-section__desc">
                    <div className="base-text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam aliquet, lectus nec viverra
                        malesuada, ligula sem tempor risus, non posuere urna diam a libero.
                    </div>
                </div>
            </div>
            <div className="coaching-section">
                <h2 className="title-h2">{i18nText('mba', locale)}</h2>
                <div className="coaching-section__desc">
                    <div className="base-text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam aliquet, lectus nec viverra
                        malesuada, ligula sem tempor risus, non posuere urna diam a libero.
                    </div>
                </div>
            </div>
        </div>
    );
};
